package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag200;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT200Creator;


public class Tag20Creator extends AbsTagCreate {
    private MT200Creator mt200Creator;

    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt200Creator = (MT200Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt200Creator.getTransactionReferenceNumber();
        mt200Creator.set("20",tag20Value);
    }
}
